﻿// Copyright (C) Microsoft Corporation. All Rights Reserved.
// This code released under the terms of the Microsoft Public License
// (Ms-PL, http://opensource.org/licenses/ms-pl.html).

using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;

namespace ToolkitSamplesApril10
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            List<StudentTestScore> testScores = new List<StudentTestScore>
            {
                new StudentTestScore
                {
                    StudentName = "Alice",
                    MathScore = 880,
                    LanguageScore = 230,
                    ScienceScore = 610
                },
                new StudentTestScore
                {
                    StudentName = "Bob",
                    MathScore = 530,
                    LanguageScore = 470,
                    ScienceScore = 520
                },
                new StudentTestScore
                {
                    StudentName = "Eve",
                    MathScore = 240,
                    LanguageScore = 720,
                    ScienceScore = 660
                },
            };

            DataContext = testScores;
        }

        private void MenuItem_Click(object sender, RoutedEventArgs e)
        {
            MenuItem menuItem = (MenuItem)sender;
            MyButton.Content = "You picked: " + menuItem.Header;
        }
    }

    public class StudentTestScore
    {
        public string StudentName { get; set; }
        public int MathScore { get; set; }
        public int ScienceScore { get; set; }
        public int LanguageScore { get; set; }
    }
}
